$(document).ready(function () {
    // Cuando se cambia la selección en el select de gerencia
    $("#id_gerencia").change(function () {
        var gerenciaId = $(this).val();
        
        // Realizar una solicitud AJAX para obtener las áreas según la gerencia seleccionada
        $.ajax({
            url: "data/data_edit.php", // Ruta al archivo PHP que manejará la solicitud AJAX
            method: "POST",
            data: { gerencia: gerenciaId }, // Enviar el ID de la gerencia seleccionada
            dataType: "json",
            success: function (data) {
                // Limpiar el select de áreas
                $("#id_area").empty();

                // Agregar las opciones de área al select
                $.each(data, function (key, value) {
                    $("#id_area").append($('<option>', {
                        value: value.id,
                        text: value.NOMB_AREA
                    }));
                });
            }
        });
    });
});
